> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stigg.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of promotional entitlements

> Retrieves a paginated list of a customer's promotional entitlements.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/stigg/openapi.documented.yml get /api/v1/customers/{id}/promotional-entitlements
openapi: 3.0.0
info:
  title: Stigg API
  description: Stigg API documentation
  version: 7.93.1
  contact: {}
servers:
  - url: https://api.stigg.io
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Customers
    description: Operations related to customers
  - name: Subscriptions
    description: Operations related to subscriptions
  - name: Coupons
    description: Operations related to coupons
  - name: Bulk Import
    description: Operations related to import of customers and subscriptions
  - name: Usage
    description: Operations related to usage & metering
  - name: Promotional Entitlements
    description: Operations related to promotional entitlements
  - name: Products
    description: Operations related to products
  - name: Features
    description: Operations related to features
  - name: Addons
    description: Operations related to addons
  - name: Plans
    description: Operations related to plans
  - name: Credit grants
    description: Operations related to credit grants
  - name: Credit ledger
    description: Operations related to credit ledger
  - name: Custom currencies
    description: Operations related to custom currencies
paths:
  /api/v1/customers/{id}/promotional-entitlements:
    get:
      tags:
        - Promotional Entitlements
      summary: Get a list of promotional entitlements
      description: Retrieves a paginated list of a customer's promotional entitlements.
      operationId: PromotionalEntitlementsController_getPromotionalEntitlements
      parameters:
        - name: id
          required: true
          in: path
          description: The unique identifier of the entity
          schema:
            minLength: 1
            maxLength: 255
            type: string
        - name: after
          required: false
          in: query
          description: Return items that come after this cursor
          schema:
            format: uuid
            type: string
        - name: before
          required: false
          in: query
          description: Return items that come before this cursor
          schema:
            format: uuid
            type: string
        - name: limit
          required: false
          in: query
          description: Maximum number of items to return
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
        - name: status
          required: false
          in: query
          description: >-
            Filter by promotional entitlement status. Supports comma-separated
            values for multiple statuses
          schema:
            type: array
            items:
              type: string
              enum:
                - Active
                - Expired
                - Paused
          style: form
          explode: false
        - name: createdAt
          required: false
          in: query
          description: 'Filter by creation date using range operators: gt, gte, lt, lte'
          schema:
            properties:
              gt:
                type: string
                format: date-time
                description: Greater than the specified createdAt value
              gte:
                type: string
                format: date-time
                description: Greater than or equal to the specified createdAt value
              lt:
                type: string
                format: date-time
                description: Less than the specified createdAt value
              lte:
                type: string
                format: date-time
                description: Less than or equal to the specified createdAt value
            additionalProperties: false
            type: object
        - name: X-ACCOUNT-ID
          in: header
          description: >-
            Account ID — optional when authenticating with a user JWT (Bearer
            token); falls back to the user's first membership. Ignored for
            API-key auth.
          required: false
          schema:
            type: string
        - name: X-ENVIRONMENT-ID
          in: header
          description: >-
            Environment ID — required when authenticating with a user JWT
            (Bearer token) on environment-scoped endpoints. Ignored for API-key
            auth (env is intrinsic to the key).
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A paginated list of promotional entitlement objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromotionalEntitlementListResponseDto'
        '400':
          description: bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadInputErrorResponseDto'
        '401':
          description: User is not authenticated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedErrorResponseDto'
        '403':
          description: User is not allowed to access this resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponseDto'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponseDto'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Stigg from '@stigg/typescript';


            const client = new Stigg({
              apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const promotionalEntitlementListResponse of
            client.v1.customers.promotionalEntitlements.list(
              'x',
            )) {
              console.log(promotionalEntitlementListResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from stigg import Stigg

            client = Stigg(
                api_key=os.environ.get("STIGG_API_KEY"),  # This is the default and can be omitted
            )
            page = client.v1.customers.promotional_entitlements.list(
                id="x",
            )
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stiggio/stigg-go\"\n\t\"github.com/stiggio/stigg-go/option\"\n)\n\nfunc main() {\n\tclient := stigg.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.V1.Customers.PromotionalEntitlements.List(\n\t\tcontext.TODO(),\n\t\t\"x\",\n\t\tstigg.V1CustomerPromotionalEntitlementListParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package io.stigg.example;


            import io.stigg.client.StiggClient;

            import io.stigg.client.okhttp.StiggOkHttpClient;

            import
            io.stigg.models.v1.customers.promotionalentitlements.PromotionalEntitlementListPage;

            import
            io.stigg.models.v1.customers.promotionalentitlements.PromotionalEntitlementListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    StiggClient client = StiggOkHttpClient.fromEnv();

                    PromotionalEntitlementListPage page = client.v1().customers().promotionalEntitlements().list("x");
                }
            }
        - lang: Ruby
          source: |-
            require "stigg"

            stigg = Stigg::Client.new(api_key: "My API Key")

            page = stigg.v1.customers.promotional_entitlements.list("x")

            puts(page)
        - lang: C#
          source: >-
            using System;

            using Stigg.Client;

            using Stigg.Client.Models.V1.Customers.PromotionalEntitlements;


            StiggClient client = new();


            PromotionalEntitlementListParams parameters = new() { ID = "x" };


            var page = await
            client.V1.Customers.PromotionalEntitlements.List(parameters);

            await foreach (var item in page.Paginate())

            {
                Console.WriteLine(item);
            }
        - lang: CLI
          source: |-
            stigg v1:customers:promotional-entitlements list \
              --api-key 'My API Key' \
              --id x
components:
  schemas:
    PromotionalEntitlementListResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
                description: Unique identifier for the entity
              description:
                type: string
                maxLength: 255
                description: The description of the entitlement
                nullable: true
              featureId:
                type: string
                format: uuid
                description: The unique identifier of the entitlement feature
              createdAt:
                type: string
                format: date-time
                description: Timestamp of when the record was created
              updatedAt:
                type: string
                format: date-time
                description: Timestamp of when the record was last updated
              startDate:
                type: string
                format: date-time
                description: The start date of the entitlement
              endDate:
                type: string
                format: date-time
                description: The end date of the promotional entitlement
                nullable: true
              isVisible:
                type: boolean
                description: Whether the entitlement is visible
              usageLimit:
                type: number
                description: The usage limit of the entitlement
                nullable: true
              hasSoftLimit:
                type: boolean
                description: Whether the entitlement has a soft limit
                nullable: true
              hasUnlimitedUsage:
                type: boolean
                description: Whether the entitlement has an unlimited usage
                nullable: true
              status:
                type: string
                enum:
                  - Active
                  - Expired
                  - Paused
                description: The status of the entitlement
              period:
                type: string
                enum:
                  - 1 week
                  - 1 month
                  - 6 month
                  - 1 year
                  - lifetime
                  - custom
                description: The grant period of the promotional entitlement
              resetPeriod:
                type: string
                enum:
                  - YEAR
                  - MONTH
                  - WEEK
                  - DAY
                  - HOUR
                nullable: true
                description: The reset period of the entitlement
              resetPeriodConfiguration:
                oneOf:
                  - type: object
                    properties:
                      accordingTo:
                        type: string
                        enum:
                          - SubscriptionStart
                        description: Reset anchor (SubscriptionStart)
                    required:
                      - accordingTo
                    title: YearlyResetPeriodConfig
                    description: Yearly reset configuration
                  - type: object
                    properties:
                      accordingTo:
                        type: string
                        enum:
                          - SubscriptionStart
                          - StartOfTheMonth
                        description: Reset anchor (SubscriptionStart or StartOfTheMonth)
                    required:
                      - accordingTo
                    title: MonthlyResetPeriodConfig
                    description: Monthly reset configuration
                  - type: object
                    properties:
                      accordingTo:
                        type: string
                        enum:
                          - SubscriptionStart
                          - EverySunday
                          - EveryMonday
                          - EveryTuesday
                          - EveryWednesday
                          - EveryThursday
                          - EveryFriday
                          - EverySaturday
                        description: Reset anchor (SubscriptionStart or specific day)
                    required:
                      - accordingTo
                    title: WeeklyResetPeriodConfig
                    description: Weekly reset configuration
                nullable: true
                description: The reset period configuration of the entitlement
              environmentId:
                type: string
                format: uuid
                description: The unique identifier for the environment
              enumValues:
                type: array
                items:
                  type: string
                  maxLength: 255
                  description: The enum values of the entitlement
                nullable: true
                description: The enum values of the entitlement
              featureGroupIds:
                type: array
                items:
                  type: string
                  maxLength: 255
                  description: Feature group IDs associated with this entitlement
                nullable: true
                description: Feature group IDs associated with this entitlement
            required:
              - id
              - description
              - featureId
              - createdAt
              - updatedAt
              - startDate
              - endDate
              - isVisible
              - usageLimit
              - hasSoftLimit
              - hasUnlimitedUsage
              - status
              - period
              - resetPeriod
              - resetPeriodConfiguration
              - environmentId
              - enumValues
              - featureGroupIds
            title: PromotionalEntitlement
            description: Granted feature entitlement
        pagination:
          type: object
          properties:
            next:
              type: string
              format: uuid
              description: >-
                Cursor for fetching the next page of results, or null if no
                additional pages exist
              nullable: true
            prev:
              type: string
              format: uuid
              description: >-
                Cursor for fetching the previous page of results, or null if at
                the beginning
              nullable: true
          required:
            - next
            - prev
          description: Pagination metadata including cursors for navigating through results
      required:
        - data
        - pagination
      title: ListResponse
      description: Response list object
    BadInputErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - BadUserInput
            - DuplicateIntegrationNotAllowed
            - EntityIsArchivedError
            - IntegrityViolation
            - FreePlanCantHaveCompatiblePackageGroupError
            - SubscriptionMustHaveSinglePlanError
            - AddonIsCompatibleWithPlan
            - AddonIsCompatibleWithGroup
            - DuplicateAddonProvisionedError
            - ScheduledMigrationAlreadyExistsError
            - SubscriptionAlreadyOnLatestPlan
            - EntityIdDifferentFromRefIdError
            - UnsupportedFeatureType
            - UnsupportedVendorIdentifier
            - UnsupportedSubscriptionScheduleType
            - InvalidEntitlementResetPeriod
            - IncompatibleSubscriptionAddon
            - UnPublishedPackage
            - MeteringNotAvailableForFeatureType
            - AuthCustomerMismatch
            - AuthCustomerReadonly
            - FetchAllCountriesPricesNotAllowed
            - MemberInvitationError
            - PlansCircularDependencyError
            - NoFeatureEntitlementInSubscription
            - CheckoutIsNotSupported
            - UnsupportedParameter
            - PricingModelNotSupportedByBillingIntegration
            - BillingIntegrationMissing
            - BillingIntegrationAlreadyExistsError
            - InvalidMemberDelete
            - PackageAlreadyPublished
            - DraftPlanCantBeArchived
            - DraftAddonCantBeArchived
            - PlanWithChildCantBeDeleted
            - PlanCannotBePublishWhenBasePlanIsDraft
            - PlanCannotBePublishWhenCompatibleAddonIsDraft
            - PlanIsUsedAsDefaultStartPlan
            - PlanIsUsedAsDowngradePlan
            - InvalidAddressError
            - InvalidQuantity
            - BillingPeriodMissingError
            - DowngradeBillingPeriodNotSupportedError
            - CustomerAlreadyUsesCouponError
            - CustomerAlreadyHaveCustomerCoupon
            - SubscriptionAlreadyCanceledOrExpired
            - TrialMustBeCancelledImmediately
            - SubscriptionDoesNotHaveBillingPeriod
            - InvalidCancellationDate
            - FailedToImportCustomer
            - FailedToImportSubscriptions
            - PackagePricingTypeNotSet
            - InvalidSubscriptionStatus
            - InvalidArgumentError
            - EditAllowedOnDraftPackageOnlyError
            - ResyncAlreadyInProgress
            - ArchivedCouponCantBeApplied
            - ImportAlreadyInProgress
            - AddonHasToHavePriceError
            - SelectedBillingModelDoesntMatchImportedItemError
            - CannotArchiveProductError
            - CannotUnarchiveProductError
            - CannotDeleteCustomerError
            - CannotRemovePaymentMethodFromCustomerError
            - CannotDeleteFeatureError
            - CannotArchiveFeatureError
            - InvalidUpdatePriceUnitAmountError
            - ExperimentAlreadyRunning
            - ExperimentStatusError
            - OperationNotAllowedDuringInProgressExperiment
            - EntitlementsMustBelongToSamePackage
            - CanNotUpdateEntitlementsFeatureGroup
            - MeterMustBeAssociatedToMeteredFeature
            - CannotEditPackageInNonDraftMode
            - CannotAddOverrideEntitlementToPlan
            - MissingEntityIdError
            - NoProductsAvailable
            - PromotionCodeNotForCustomer
            - PromotionCodeNotActive
            - PromotionCodeMaxRedemptionsReached
            - PromotionCodeMinimumAmountNotReached
            - PromotionCodeCustomerNotFirstPurchase
            - AddonWithDraftCannotBeDeletedError
            - CannotReportUsageForEntitlementWithMeterError
            - RecalculateEntitlementsError
            - ImportSubscriptionsBulkError
            - InvalidMetadataError
            - CannotUpsertToPackageThatHasDraft
            - IntegrationValidationError
            - AwsMarketplaceIntegrationValidationError
            - AwsMarketplaceIntegrationError
            - DataExportIntegrationError
            - HubspotIntegrationError
            - DuplicateProductValidationError
            - AmountTooLarge
            - CustomerHasNoEmailAddress
            - MergeEnvironmentValidationError
            - EntitlementLimitExceededError
            - EntitlementUsageOutOfRangeError
            - UsageMeasurementDiffOutOfRangeError
            - AddonQuantityExceedsLimitError
            - AddonDependencyMissingError
            - PackageGroupMinItemsError
            - CannotUpdateUnitTransformationError
            - SingleSubscriptionCantBeAutoCancellationTargetError
            - MultiSubscriptionCantBeAutoCancellationSourceError
            - ChangingPayingCustomerIsNotSupportedError
            - RequiredSsoAuthenticationError
            - InvalidDoggoSignatureError
            - InvalidReceivedSignatureError
            - CannotDeleteDefaultIntegration
            - CannotChangeBillingIntegration
            - FailedToResolveBillingIntegration
            - WorkflowTriggerNotFound
            - DeprecatedEstimateSubscriptionError
            - FeatureConfigurationExceededLimitError
            - FeatureNotBelongToFeatureGroupError
            - FeatureGroupMissingFeaturesError
            - VersionExceedsMaxValueError
            - CannotUpdateExpireAtForExpiredCreditGrantError
            - ExpireAtMustBeLaterThanEffectiveAtError
            - OfferAlreadyExists
            - DraftAlreadyExists
            - CreditGrantAlreadyVoided
            - CreditGrantCannotBeVoided
            - InvalidTaxId
            - ObjectAlreadyBeingUsedByAnotherRequestError
            - TooManySubscriptionsPerCustomer
            - TooManyCustomCurrencies
            - StripeError
            - SchedulingAtEndOfBillingPeriod
            - ApiKeyExpired
            - ApiKeyHasExpiry
          nullable: true
      required:
        - message
        - code
    UnauthenticatedErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - Unauthenticated
          nullable: true
      required:
        - message
        - code
    ForbiddenErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - IdentityForbidden
            - AccessDeniedError
            - NoFeatureEntitlementError
            - GovernanceNotEnabled
          nullable: true
      required:
        - message
        - code
    TooManyRequestsErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - RateLimitExceeded
          nullable: true
      required:
        - message
        - code
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Server API Key

````